org.apache.hadoop.fs

## Interface CanSetReadahead

- All Known Implementing Classes:
    CryptoFSDataInputStream, FSDataInputStream

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface CanSetReadahead

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setReadahead(Long readahead)` Set the readahead on this stream.

- - ### Method Detail

    - #### setReadahead

          void setReadahead(Long readahead)
                     throws IOException,
                            UnsupportedOperationException

      Set the readahead on this stream.
      Parameters:
        `readahead` - The readahead to use. null means to use the default.
      Throws:
        `IOException` - If there was an error changing the dropBehind setting. UnsupportedOperationException If this stream doesn't support setting readahead.
        `UnsupportedOperationException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.